package envoy.client.ui;

import java.awt.Graphics;

import javax.swing.JButton;

/**
 * Project: <strong>envoy-clientChess</strong><br>
 * File: <strong>PrimaryButton.javaEvent.java</strong><br>
 * Created: <strong>07.12.2019</strong><br>
 * 
 * @author Kai S. K. Engelbart
 */
public class PrimaryButton extends JButton {

	private static final long serialVersionUID = 3662266120667728364L;

	private int arcSize;

	/**
	 * Creates a primary button with a white text color and a purple background
	 * color.
	 * 
	 * @param title the title of the button
	 */
	public PrimaryButton(String title) { this(title, 6); }

	/**
	 * Creates a primary button with a white text color and a purple background
	 * color.
	 * 
	 * @param title the title of the button
	 * @param the   size of the arc used to draw the round button edges
	 */
	public PrimaryButton(String title, int arcSize) {
		super(title);
		// setForeground(new Color(255, 255, 255));
		// setBackground(new Color(102, 51, 153));
		setBorderPainted(false);
		setFocusPainted(false);
		setContentAreaFilled(false);
		this.arcSize = arcSize;
	}

	@Override
	protected void paintComponent(Graphics g) {
		g.setColor(getBackground());
		g.fillRoundRect(0, 0, getWidth(), getHeight(), arcSize, arcSize);
		super.paintComponent(g);
	}

	/**
	 * @return the arcSize
	 */
	public int getArcSize() { return arcSize; }

	/**
	 * @param arcSize the arcSize to set
	 */
	public void setArcSize(int arcSize) { this.arcSize = arcSize; }
}